Error retrieving device properties for ro.product.cpu.abi:

I'm not able to run my Flutter Application using physical devices.

Using Android Emulators worked like a charm but not for physical devices.

I tried using different devices but doesn't work.

Of course I've already installed

Google USB Driver, rev 11

And also I've set my mobile phone to "USB debugging"

Using Android native project I don't have problem to run on pyshical devices.

Information may you may want to know:

Android studio version

3.2.1

Flutter & Dart info

channel beta • https://github.com/flutter/flutter.git Framework
• revision f37c235c32 (4 weeks ago) 
• 2018-09-25 17:45:40 -0400 Engine 
• revision 74625aed32 Tools • Dart 2.1.0-dev.5.0.flutter-a2eb050044

Dart plugin version

181.5656

Flutter plugin version

29.1.1

Error log after running on pyshical device

Error retrieving device properties for ro.product.cpu.abi:
error: device still connecting

Launching lib\main.dart on ZY12332K4T in debug mode...
Initializing gradle...
Resolving dependencies...
error: device still connecting
Unhandled exception:
Exit code 1 from: C:\MySDK\platform-tools\adb -s ZY12332K4T shell -x logcat -v time -t 1
#0      _runWithLoggingSync (package:flutter_tools/src/base/process.dart:351:7)
#1      runCheckedSync (package:flutter_tools/src/base/process.dart:282:10)
#2      AndroidDevice.lastLogcatTimestamp (package:flutter_tools/src/android/android_device.dart:500:27)
#3      _AdbLogReader._start (package:flutter_tools/src/android/android_device.dart:668:41)
#4      _runGuarded (dart:async/stream_controller.dart:804:24)
#5      _BroadcastStreamController._subscribe (dart:async/broadcast_stream_controller.dart:217:7)
#6      _ControllerStream._createSubscription (dart:async/stream_controller.dart:817:19)
#7      _StreamImpl.listen (dart:async/stream_impl.dart:472:9)
#8      FlutterDevice.startEchoingDeviceLog (package:flutter_tools/src/resident_runner.dart:240:71)
#9      FlutterDevice.runHot (package:flutter_tools/src/resident_runner.dart:283:5)
<asynchronous suspension>
#10     HotRunner.run (package:flutter_tools/src/run_hot.dart:262:39)
<asynchronous suspension>
#11     AppDomain.startApp.<anonymous closure> (package:flutter_tools/src/commands/daemon.dart:384:62)
#12     AppDomain.launch.<anonymous closure> (package:flutter_tools/src/commands/daemon.dart:440:26)
<asynchronous suspension>
#13     AppContext.run.<anonymous closure> (package:flutter_tools/src/base/context.dart:142:29)
<asynchronous suspension>
#14     _rootRun (dart:async/zone.dart:1124:13)
#15     _CustomZone.run (dart:async/zone.dart:1021:19)
#16     _runZoned (dart:async/zone.dart:1516:10)
#17     runZoned (dart:async/zone.dart:1463:12)
#18     AppContext.run (package:flutter_tools/src/base/context.dart:141:18)
<asynchronous suspension>
#19     AppInstance._runInZone (package:flutter_tools/src/commands/daemon.dart:811:20)
#20     AppDomain.launch (package:flutter_tools/src/commands/daemon.dart:438:15)
<asynchronous suspension>
#21     AppDomain.startApp (package:flutter_tools/src/commands/daemon.dart:381:12)
<asynchronous suspension>
#22     RunCommand.runCommand (package:flutter_tools/src/commands/run.dart:277:38)
<asynchronous suspension>
#23     FlutterCommand.verifyThenRunCommand (package:flutter_tools/src/runner/flutter_command.dart:372:18)
#24     _asyncThenWrapperHelper.<anonymous closure> (dart:async/runtime/libasync_patch.dart:77:64)
#25     _rootRunUnary (dart:async/zone.dart:1132:38)
#26     _CustomZone.runUnary (dart:async/zone.dart:1029:19)
#27     _FutureListener.handleValue (dart:async/future_impl.dart:129:18)
#28     Future._propagateToListeners.handleValueCallback (dart:async/future_impl.dart:642:45)
#29     Future._propagateToListeners (dart:async/future_impl.dart:671:32)
#30     Future._complete (dart:async/future_impl.dart:476:7)
#31     _SyncCompleter.complete (dart:async/future_impl.dart:51:12)
#32     _AsyncAwaitCompleter.complete (dart:async/runtime/libasync_patch.dart:28:18)
#33     _completeOnAsyncReturn (dart:async/runtime/libasync_patch.dart:295:13)
#34     RunCommand.usageValues (package:flutter_tools/src/commands/run.dart)
#35     _asyncThenWrapperHelper.<anonymous closure> (dart:async/runtime/libasync_patch.dart:77:64)
#36     _rootRunUnary (dart:async/zone.dart:1132:38)
#37     _CustomZone.runUnary (dart:async/zone.dart:1029:19)
#38     _FutureListener.handleValue (dart:async/future_impl.dart:129:18)
#39     Future._propagateToListeners.handleValueCallback (dart:async/future_impl.dart:642:45)
#40     Future._propagateToListeners (dart:async/future_impl.dart:671:32)
#41     Future._complete (dart:async/future_impl.dart:476:7)
#42     _SyncCompleter.complete (dart:async/future_impl.dart:51:12)
#43     _AsyncAwaitCompleter.complete.<anonymous closure> (dart:async/runtime/libasync_patch.dart:33:20)
#44     _rootRun (dart:async/zone.dart:1124:13)
#45     _CustomZone.run (dart:async/zone.dart:1021:19)
#46     _CustomZone.bindCallback.<anonymous closure> (dart:async/zone.dart:947:23)
#47     _microtaskLoop (dart:async/schedule_microtask.dart:41:21)
#48     _startMicrotaskLoop (dart:async/schedule_microtask.dart:50:5)
#49     _runPendingImmediateCallback (dart:isolate/runtime/libisolate_patch.dart:115:13)
#50     _RawReceivePortImpl._handleMessage (dart:isolate/runtime/libisolate_patch.dart:172:5)

Using USB for file transfer with USB debugging worked for me

When using USB for charging this device

$ flutter doctor
Doctor summary (to see all details, run flutter doctor -v):
[✓] Flutter (Channel stable, v1.5.4-hotfix.2, on Linux, locale en_IN)
⣻Error retrieving device properties for ro.product.cpu.abi:
error: insufficient permissions for device: user in plugdev group; are your udev
rules wrong?
See [http://developer.android.com/tools/device.html] for more information



[✓] Android toolchain - develop for Android devices (Android SDK version 29.0.0)
[✓] Android Studio (version 3.4)
[✓] Connected device (1 available)

when using USB for file transfer

$ flutter doctor
Doctor summary (to see all details, run flutter doctor -v):
[✓] Flutter (Channel stable, v1.5.4-hotfix.2, on Linux, locale en_IN)

[✓] Android toolchain - develop for Android devices (Android SDK version 29.0.0)
[✓] Android Studio (version 3.4)
[✓] Connected device (1 available)

• No issues found!

Error retrieving device properties for ro.product.cpu.abi: error: insufficient permissions for device. #10330. Closed. ThePlatzhalter opened this  I've seen phones fail to display the auth dialog before. Unfortunately this all happens below flutter at the adb layer. :/ So there isn't much Flutter can do here, other than point you at try to reset developer permissions on the device, and you can then try to connect with adb devices directly and see if it shows it's authorized.

flutter-52afcba357 |Error retrieving device properties for ro.product.cpu.abi: [√] Android toolchain - develop for Android devices (Android SDK  Steps to Reproduce Try to run the app on emulator or real device. Logs Error retrieving device properties for ro.product.cpu.abi: Launching lib\main.dart on Android

There's a temporary fix you can follow the steps in this link https://github.com/flutter/flutter/issues/33938#issuecomment-499250288. It worked for me.

Error retrieving device properties for ro.product.cpu.abi: Launching lib/main.dart on Android SDK built for x86 64 in debug mode Initializing  Subscribe to this blog. Exception while running flutter application. Error retrieving device properties for ro.product.cpu.abi. 2

i solved this problem ,please first end task adb and android studio, emulator so everything.

download this : lextotan.com/platform-tools_r28.0.2-windows.zip

and put your sdk folder file . example: C:/sdk replace all of files.

open android studio after Tools>Sdk manager>Sdk Tools . and bottom right select Show Package Details and install 28.0.3(2,1)

Apply and ok. restart your android studio. and start ur emulator. that is all thanks

Error retrieving device properties for ro.product.cpu.abi: Launching lib\main.dart on Android SDK built for x86 in debug mode. This video show how the command "adb shell getprop ro.product.cpu.abi" run on device and emulator.

Just Download this platform-tools and replace it with

C:\Users\User-name\AppData\Local\Android\Sdk\platform-tools

Windows: http://dl-ssl.google.com/android/repository/platform-tools_r28.0.2-windows.zip macOS: http://dl-ssl.google.com/android/repository/platform-tools_r28.0.2-darwin.zip Linux: http://dl-ssl.google.com/android/repository/platform-tools_r28.0.2-linux.zip

I tried the OnePlus 3 A3000 and also an emulated android device. Logs. Error retrieving device properties for ro.product.cpu.abi: Launching lib/main.dart on  Flutter - Tutorial 001. Hello world. Flutter is a fresh framework from Google for application development for Android and iOS. The programming language used is Dart (also developed by Google).

android-arm • Android null (API null) • No issues found! Error retrieving device properties for ro.product.cpu.abi: error: insufficient permissions  I am a professional software developer, and founder of It's FOSS.I am an avid Linux lover and open source enthusiast. I use Ubuntu and believe in sharing knowledge.

In this you will see the fix for No system images installed for this target CPU / ABI | Android Studio . The channel is maintained by Kavitha Nampally Facebook :- https://www.facebook.com

To identify the android device is 32-bit or 64-bit Android is going to support 64-bit, but there are so many android devices, how do developer know current device is 32-bit or 64-bit ? Let's begin from this command: adb shell getprop ro.product.cpu.abi getprop is an android utility to retrieve a property via the android property service.

Comments
  • have you solve this issues? I have same issues. If you have done then please answer.